Package org.kapott.hbci.passport

## Interface HBCIPassportInternal

All Superinterfaces:
  `HBCIPassport`

All Known Implementing Classes:
  `AbstractDDVPassport`, `AbstractHBCIPassport`, `AbstractPinTanPassport`, `AbstractRDHPassport`, `AbstractRDHSWFileBasedPassport`, `AbstractRDHSWPassport`, `HBCIPassportAnonymous`, `HBCIPassportDDV`, `HBCIPassportDDVPCSC`, `HBCIPassportPinTan`, `HBCIPassportPinTanMemory`, `HBCIPassportRAH10`, `HBCIPassportRDHNew`, `HBCIPassportRDHXFile`, `HBCIPassportRSA`, `HBCIPassportSIZRDHFile`

    public interface HBCIPassportInternal
    extends HBCIPassport

Interface, welches alle Passport-Varianten implementieren müssen. Diese Schnittstelle wird nur intern verwendet. Sie beschreibt alle Methoden, die ein Passport zur Verfügung stellen muss, um von HBCI4Java benutzt werden zu können. Dieses Interface ist nicht zur Anwendung hin sichtbar (deshalb auch "`Internal`").

### Field Summary

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canMixSecMethods()`
`void` `clearMyDigKey()`
`void` `clearMyEncKey()`
`void` `clearMySigKey()`
`void` `closeComm()`
`byte[]` `decrypt​(byte[] cryptedKey, byte[] encryptedMsg)`
`byte[][]` `encrypt​(byte[] plainMsg)`
`HBCIKey[][]` `generateNewUserKeys()`
`java.lang.String` `getCID()`
`Comm` `getComm()`
`Filter` `getCommFilter()`
`java.lang.String` `getCryptAlg()`
`java.lang.String` `getCryptFunction()`
`java.lang.String` `getCryptKeyType()`
`java.lang.String` `getCryptMode()`
`java.lang.String` `getHashAlg()`
`java.lang.String` `getInstEncKeyName()`
`java.lang.String` `getInstEncKeyNum()`
`java.lang.String` `getInstEncKeyVersion()`
`java.lang.String` `getInstSigKeyName()`
`java.lang.String` `getInstSigKeyNum()`
`java.lang.String` `getInstSigKeyVersion()`
`java.util.Properties` `getJobRestrictions​(java.lang.String specname)`
`java.util.Properties` `getJobRestrictions​(java.lang.String gvname, java.lang.String version)`
`java.lang.String` `getLang()`
`int` `getMaxGVSegsPerMsg()`
`java.lang.String` `getMyEncKeyName()`
`java.lang.String` `getMyEncKeyNum()`
`java.lang.String` `getMyEncKeyVersion()`
`java.lang.String` `getMySigKeyName()`
`java.lang.String` `getMySigKeyNum()`
`java.lang.String` `getMySigKeyVersion()`
`java.util.Properties` `getParamSegmentNames()`
`IHandlerData` `getParentHandlerData()`
`java.lang.String` `getPassportTypeName()`
`java.lang.Object` `getPersistentData​(java.lang.String id)`
`java.lang.String` `getProfileMethod()`
`java.lang.String` `getProfileVersion()`
`java.lang.String` `getSigAlg()`
`java.lang.String` `getSigFunction()`
`java.lang.Long` `getSigId()`
`java.lang.String` `getSigMode()`
`java.lang.String` `getSysId()`
`java.lang.String` `getSysStatus()`
`byte[]` `hash​(byte[] data)`
`void` `incSigId()`
`boolean` `isAnonymous()`
`boolean` `needUserSig()`
`void` `onDialogEvent​(DialogEvent event, DialogContext ctx)` Wird bei einem Dialog-Event ausgefuehrt.
`void` `resetPassphrase()`
`void` `setBPD​(java.util.Properties bpd)`
`void` `setCID​(java.lang.String cid)`
`void` `setHBCIVersion​(java.lang.String hbciversion)`
`void` `setInstEncKey​(HBCIKey key)`
`void` `setInstSigKey​(HBCIKey key)`
`void` `setMyPrivateDigKey​(HBCIKey key)`
`void` `setMyPrivateEncKey​(HBCIKey key)`
`void` `setMyPrivateSigKey​(HBCIKey key)`
`void` `setMyPublicDigKey​(HBCIKey key)`
`void` `setMyPublicEncKey​(HBCIKey key)`
`void` `setMyPublicSigKey​(HBCIKey key)`
`void` `setParentHandlerData​(IHandlerData handler)`
`void` `setPersistentData​(java.lang.String id, java.lang.Object o)`
`void` `setProfileMethod​(java.lang.String method)`
`void` `setProfileVersion​(java.lang.String version)`
`void` `setSigId​(java.lang.Long sigid)`
`void` `setSysId​(java.lang.String sysid)`
`void` `setUPD​(java.util.Properties upd)`
`byte[]` `sign​(byte[] data)`
`boolean` `verify​(byte[] data, byte[] sig)`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassport

`changePassphrase, clearBPD, clearInstEncKey, clearInstSigKey, clearUPD, close, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getClientData, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstEncKey, getInstName, getInstSigKey, getMaxGVperMsg, getMaxMsgSizeKB, getMyPrivateDigKey, getMyPrivateEncKey, getMyPrivateSigKey, getMyPublicDigKey, getMyPublicEncKey, getMyPublicSigKey, getPort, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getUPD, getUPDVersion, getUserId, hasInstEncKey, hasInstSigKey, hasMyEncKey, hasMySigKey, isSupported, needInstKeys, needUserKeys, onlyBPDGVs, saveChanges, setBLZ, setClientData, setCountry, setCustomerId, setFilterType, setHost, setPort, setUserId, syncSigId, syncSysId`

### Method Detail

#### getPassportTypeName

    java.lang.String getPassportTypeName()

#### getComm

    Comm getComm()

#### getCommFilter

    Filter getCommFilter()

#### closeComm

    void closeComm()

#### setHBCIVersion

    void setHBCIVersion​(java.lang.String hbciversion)

#### getSysId

    java.lang.String getSysId()

#### getCID

    java.lang.String getCID()

#### getSysStatus

    java.lang.String getSysStatus()

#### getProfileMethod

    java.lang.String getProfileMethod()

#### getProfileVersion

    java.lang.String getProfileVersion()

#### needUserSig

    boolean needUserSig()

#### setInstSigKey

    void setInstSigKey​(HBCIKey key)

#### setInstEncKey

    void setInstEncKey​(HBCIKey key)

#### clearMySigKey

    void clearMySigKey()

#### clearMyEncKey

    void clearMyEncKey()

#### clearMyDigKey

    void clearMyDigKey()

#### setMyPublicSigKey

    void setMyPublicSigKey​(HBCIKey key)

#### setMyPrivateSigKey

    void setMyPrivateSigKey​(HBCIKey key)

#### setMyPublicEncKey

    void setMyPublicEncKey​(HBCIKey key)

#### setMyPrivateEncKey

    void setMyPrivateEncKey​(HBCIKey key)

#### setMyPublicDigKey

    void setMyPublicDigKey​(HBCIKey key)

#### setMyPrivateDigKey

    void setMyPrivateDigKey​(HBCIKey key)

#### getInstSigKeyName

    java.lang.String getInstSigKeyName()

#### getInstSigKeyNum

    java.lang.String getInstSigKeyNum()

#### getInstSigKeyVersion

    java.lang.String getInstSigKeyVersion()

#### getInstEncKeyName

    java.lang.String getInstEncKeyName()

#### getInstEncKeyNum

    java.lang.String getInstEncKeyNum()

#### getInstEncKeyVersion

    java.lang.String getInstEncKeyVersion()

#### getMySigKeyName

    java.lang.String getMySigKeyName()

#### getMySigKeyNum

    java.lang.String getMySigKeyNum()

#### getMySigKeyVersion

    java.lang.String getMySigKeyVersion()

#### getMyEncKeyName

    java.lang.String getMyEncKeyName()

#### getMyEncKeyNum

    java.lang.String getMyEncKeyNum()

#### getMyEncKeyVersion

    java.lang.String getMyEncKeyVersion()

#### canMixSecMethods

    boolean canMixSecMethods()

#### getLang

    java.lang.String getLang()

#### getSigId

    java.lang.Long getSigId()

#### getCryptKeyType

    java.lang.String getCryptKeyType()

#### getCryptFunction

    java.lang.String getCryptFunction()

#### getCryptAlg

    java.lang.String getCryptAlg()

#### getCryptMode

    java.lang.String getCryptMode()

#### getSigFunction

    java.lang.String getSigFunction()

#### getSigAlg

    java.lang.String getSigAlg()

#### getSigMode

    java.lang.String getSigMode()

#### getHashAlg

    java.lang.String getHashAlg()

#### setBPD

    void setBPD​(java.util.Properties bpd)

#### setUPD

    void setUPD​(java.util.Properties upd)

#### setSigId

    void setSigId​(java.lang.Long sigid)

#### setSysId

    void setSysId​(java.lang.String sysid)

#### setCID

    void setCID​(java.lang.String cid)

#### incSigId

    void incSigId()

#### setProfileMethod

    void setProfileMethod​(java.lang.String method)

#### setProfileVersion

    void setProfileVersion​(java.lang.String version)

#### generateNewUserKeys

    HBCIKey[][] generateNewUserKeys()

#### hash

    byte[] hash​(byte[] data)

#### sign

    byte[] sign​(byte[] data)

#### verify

    boolean verify​(byte[] data,
                   byte[] sig)

#### encrypt

    byte[][] encrypt​(byte[] plainMsg)

#### decrypt

    byte[] decrypt​(byte[] cryptedKey,
                   byte[] encryptedMsg)

#### getParamSegmentNames

    java.util.Properties getParamSegmentNames()

#### getJobRestrictions

    java.util.Properties getJobRestrictions​(java.lang.String specname)

#### getJobRestrictions

    java.util.Properties getJobRestrictions​(java.lang.String gvname,
                                            java.lang.String version)

#### setPersistentData

    void setPersistentData​(java.lang.String id,
                           java.lang.Object o)

#### getPersistentData

    java.lang.Object getPersistentData​(java.lang.String id)

#### resetPassphrase

    void resetPassphrase()

#### isAnonymous

    boolean isAnonymous()

#### setParentHandlerData

    void setParentHandlerData​(IHandlerData handler)

#### getParentHandlerData

    IHandlerData getParentHandlerData()

#### onDialogEvent

    void onDialogEvent​(DialogEvent event,
                       DialogContext ctx)

Wird bei einem Dialog-Event ausgefuehrt.

Parameters:
  `event` - das Event.
  `ctx` - der Dialog-Kontext.

#### getMaxGVSegsPerMsg

    int getMaxGVSegsPerMsg()